Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class TimeInterval

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.TimeInterval

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class TimeInterval

extends org.eclipse.birt.report.model.core.Structure

Time interval structure.

Field Summary
`protected int` | `measure` Value of the measure.
`static java.lang.String` | `MEASURE_MEMBER` Name of the measure member.
`static java.lang.String` | `STRUCTURE_NAME` Name of the structure.
`protected java.lang.String` | `unit` Value of the unit.
`static java.lang.String` | `UNIT_MEMBER` Name of the unit member.

Constructor Summary
`TimeInterval()`

Method Summary
`StructureHandle` | `getHandle(SimpleValueHandle valueHandle)`
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)`
`int` | `getMeasure()` Returns the measure value.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`java.lang.String` | `getUnit()` Returns the unit of the time interval.
`protected StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)`
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)`
`void` | `setMeasure(int measure)` Sets the measure value.
`void` | `setUnit(java.lang.String unit)` Sets the unit of the time interval.

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getLocalProperty, getLocalProperty, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setProperty, setupContext, updateReference, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRUCTURE_NAME

    public static final java.lang.String STRUCTURE_NAME

  Name of the structure.

  See Also:
    Constant Field Values

### MEASURE_MEMBER

    public static final java.lang.String MEASURE_MEMBER

  Name of the measure member.

  See Also:
    Constant Field Values

### UNIT_MEMBER

    public static final java.lang.String UNIT_MEMBER

  Name of the unit member.

  See Also:
    Constant Field Values

### measure

    protected int measure

  Value of the measure.

### unit

    protected java.lang.String unit

  Value of the unit.

Constructor Detail

### TimeInterval

    public TimeInterval()

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`

### handle

    protected StructureHandle handle(SimpleValueHandle valueHandle,
                                     int index)

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`

### getHandle

    public StructureHandle getHandle(SimpleValueHandle valueHandle)

  Overrides:
    `getHandle` in class `org.eclipse.birt.report.model.core.Structure`

### setMeasure

    public void setMeasure(int measure)

  Sets the measure value.

  Parameters:
    `measure` - the measure value to set

### getMeasure

    public int getMeasure()

  Returns the measure value.

  Returns:
    the measure value

### setUnit

    public void setUnit(java.lang.String unit)

  Sets the unit of the time interval. The value can one of the following value defined in `DesignChoiceConstants`:
  - `INTERVAL_SECOND`
  - `INTERVAL_MINUTE`
  - `INTERVAL_HOUR`

  Parameters:
    `unit` - the unit to set

### getUnit

    public java.lang.String getUnit()

  Returns the unit of the time interval. The value can be one of the following value defined in `DesignChoiceConstants`:
  - `INTERVAL_SECOND`
  - `INTERVAL_MINUTE`
  - `INTERVAL_HOUR`

  Returns:
    the unit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.